#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		popdata	%{name}-data-0.4.11
#-----------------------------------------------------------------------------
Name		:	xpdf
Version		:	4.04
Release		:	14.8.0.0%{?dist}
Summary		:	A PDF file viewer for the X Window System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL3
URL		:	https://www.xpdfreader.com/

Source0		:	https://dl.xpdfreader.com/%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-versionedlib.patch
Patch1		:	%{name}-%{version}-shared-xpdf-lib.patch	
#-----------------------------------------------------------------------------
Buildrequires	:	cmake
Buildrequires	:	cups-devel
Buildrequires	:	desktop-file-utils
Buildrequires	:	fontconfig
Buildrequires	:	libjpeg-turbo
Buildrequires	:	libpng
Buildrequires	:	libtiff
Buildrequires	:	libpaper-devel
Buildrequires	:	qt
Buildrequires	:	xdg-utils
Buildrequires	:	xorg-libXpm
Buildrequires	:	zlib-devel

#-----------------------------------------------------------------------------
%description
Xpdf is an X Window System based viewer for
Portable Document Format (PDF) files.
Xpdf is a small and efficient program which
uses standard X fonts.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README CHANGES
%{_bindir}/%{name}*
%{_bindir}/pdf*
%{_sysconfdir}/%{name}rc
%{_libdir}/lib*.so.4
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/pdf*.1.gz
%{_mandir}/man5/%{name}rc.5.gz

#=============================================================================
%package		devel
Summary		:	Development files for xpdf libraries

#-----------------------------------------------------------------------------
Requires	:	fontconfig-devel
Requires	:	libpaper-devel
Requires	:	%{name}		=	%{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development files for xpdf libraries
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/fofi/*.h
%{_includedir}/%{name}/goo/*.h
%{_includedir}/%{name}/splash/*.h
%{_libdir}/lib*.so

#=============================================================================
%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1

tar xf %{SOURCE1}
#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-S .							\
	-B build						\
	-D BUILD_SHARED_LIBS=ON					\
	-D MULTITHREADED=ON					\
	-D OPI_SUPPORT=ON					\
	-D XPDFWIDGET_PRINTING=ON				\
	-D SYSTEM_XPDFRC=%{_sysconfdir}/%{name}rc 		\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-W no-dev						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 							\
	-C build						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#installing library
%{__mkdir_p} %{buildroot}%{_libdir}/
%{__cp} -a							\
	build/fofi/libfofi.so*					\
	build/goo/libgoo.so*					\
	build/splash/libsplash.so*				\
	build/%{name}/lib%{name}core.so*			\
	%{buildroot}%{_libdir}/

#installing header
%{__mkdir_p} %{buildroot}%{_includedir}/%{name}
for dir in fofi goo splash
  do
  %{__mkdir_p} %{buildroot}%{_includedir}/%{name}/$dir/
  %{__cp} -a							\
	$dir/*.h						\
	%{buildroot}%{_includedir}/%{name}/$dir/
  done
%{__cp} -a							\
	%{name}/*.h						\
	build/aconf.h						\
	aconf2.h						\
	%{buildroot}%{_includedir}/%{name}/

# xpdfrc cleanup
%{__mkdir_p} %{buildroot}%{_sysconfdir}/
%{__cp} -a							\
	doc/sample-%{name}rc					\
	%{buildroot}%{_sysconfdir}/%{name}rc

sed -i								\
  -e 's:/usr/local/share/:%{_datadir}/:g'			\
  %{buildroot}%{_sysconfdir}/%{name}rc

#installing icon
install -Dm 0644						\
	%{name}-ok_addon/%{name}.png 				\
	%{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

#installing desktop
install -Dm 0644						\
	%{name}-ok_addon/%{name}.desktop			\
	%{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install   						\
	--delete-original					\
	--dir %{buildroot}%{_datadir}/applications 		\
	%{buildroot}%{_datadir}/applications/*.desktop 		\

#-----------------------------------------------------------------------------
%changelog
